package com.winhc.repal.enums;

/**
 * @Description: PermissionEnum
 * @Author: xda
 * @Date: 2022/4/29 09:24
 */
public enum PermissionEnum {

    /**
     *  权限
     */
    ROLE_SETUP("ROLE_SETUP", "角色设置"),
    MEMBER_MANAGER("MEMBER_MANAGER", "成员管理"),
    BOOK_MANAGER("BOOK_MANAGER", "账本管理"),
    QUERY_ALL_RECEIVABLE("QUERY_ALL_RECEIVABLE", "查看全部应收"),
    ADD_RECEIVABLE("ADD_RECEIVABLE", "添加应收"),
    UPDATE_RECEIVABLE("UPDATE_RECEIVABLE", "编辑应收"),
    QUERY_ALL_RECEIPT("QUERY_ALL_RECEIPT", "查看全部应付"),
    ADD_RECEIPT("ADD_RECEIPT", "添加应付"),
    UPDATE_RECEIPT("UPDATE_RECEIPT", "编辑应付"),
    QUERY_ALL_CUST("QUERY_ALL_CUST", "查看全部客户"),
    ADD_CUST("ADD_CUST", "添加客户"),
    UPDATE_CUST("UPDATE_CUST", "编辑客户信息"),
    QUERY_ALL_SUPPLY("QUERY_ALL_SUPPLY", "查看全部供应商"),
    ADD_SUPPLY("ADD_SUPPLY", "添加供应商"),
    UPDATE_SUPPLY("UPDATE_SUPPLY", "编辑供应商信息"),
    QUERY_ALL_URGE("QUERY_ALL_URGE", "查看全部催款信息"),
    URGE_BILL("URGE_BILL", "催款操作");



    private final String code;

    private final String msg;

    PermissionEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public String getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }
}
