package com.winhc.repal.model.dto;

import com.winhc.repal.model.bo.PageRequest;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;

/**
 * @Description: GetRepalBillPageDTO
 * @Author: xda
 * @Date: 2022/4/8 14:34
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("获取账本下的账款列表")
public class GetRepalBillPageDTO extends PageRequest {

    @ApiModelProperty(value = "账本id", required = true)
    private Long repalBookId;

    @ApiModelProperty("排序类型。1日期升序。2日期降序。3总金额升序。4总金额降序")
    private Integer sortedType;

    @ApiModelProperty("到期时间,[1]今天, [2]本周, [3]本月, [4]本年")
    private Integer overdueType;

    @ApiModelProperty(value = "自定义开始日期yyyy-MM-dd,string")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate startDate;

    @ApiModelProperty(value = "自定义结束日期yyyy-MM-dd,string")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate endDate;

    @ApiModelProperty(value = "账款逾期状态，[1]进行中，[2]即将逾期(7天内)，[3]已逾期.[4]已结清。[5]已终止")
    private Integer overdueStatus;

    @ApiModelProperty(value = "[1]风险预警。[2]财产提醒。[3]评级动态。[4]逾期动态")
    private Integer dynamicType;

    @ApiModelProperty(value = "评估等级，[ABCDE]")
    private String diagnosisGrade;

    @ApiModelProperty(value = "账款类型。[1]应收，[2]应付", required = true)
    private Integer repalBillType;





}
