package com.winhc.repal.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Description: HomeReceivableVO
 * @Author: xda
 * @Date: 2022/5/6 18:14
 */
@Data
@ApiModel("首页应收/应付vo")
@AllArgsConstructor
public class HomeReceivableVO {

    @ApiModelProperty("应收/应付金额，string")
    private String billMoneyStr;

    @ApiModelProperty("应收/应付数量")
    private Integer billCount;

    @ApiModelProperty("已逾期金额，string")
    private String overdueTotalStr;

    @ApiModelProperty("逾期笔数")
    private Integer overdueTotalCount;

    @ApiModelProperty("逾期比例")
    private String overdueRate;

    @ApiModelProperty("总账款金额，string")
    private String totalBillMoneyStr;

    @ApiModelProperty("已收/已付金额，string")
    private String receiptMoneyStr;

    @ApiModelProperty("可见性")
    private Boolean visible;

    public HomeReceivableVO() {
        this.billMoneyStr = "00.00";
        this.billCount = 0;
        this.overdueTotalStr = "00.00";
        this.overdueTotalCount = 0;
        this.overdueRate = "0%";
        this.totalBillMoneyStr = "00.00";
        this.receiptMoneyStr = "00.00";
        this.visible = true;
    }
}
