package com.winhc.repal.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * @Description: ReturnedBillVO
 * @Author: xda
 * @Date: 2022/5/19 09:58
 */
@Data
@ApiModel("回款列表vo")
public class ReturnedBillVO {

    @ApiModelProperty("账款id")
    private Long repalBillId;

    @ApiModelProperty("回款记录id")
    private Long repalChangeRecordId;

    @ApiModelProperty(value = "客户性质 1企业 2个人 3政府事业单位")
    private Integer custProperty;

    @ApiModelProperty(value = "客户名称")
    private String custName;

    @ApiModelProperty(value = "回款人name")
    private String userName;

    @ApiModelProperty("回款日期，string, yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate recordDate;

    @ApiModelProperty("账单状态，1进行中，2已逾期，3已收回")
    private Integer repalBillStatus;

    @ApiModelProperty("回款金额string")
    private String moneyStr;

    @ApiModelProperty(hidden = true)
    private BigDecimal money;
}
