package com.winhc.repal.util;

import cn.hutool.core.map.MapUtil;
import com.winhc.repal.enums.RemindEnum;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @Description: RemindTypeUtil
 * @Author: xda
 * @Date: 2022/5/7 15:46
 */
public class RemindTypeUtil {

    /**
     * 获取各种动态数量
     * @param countMap countMap
     * @return java.util.List<java.lang.Integer>
     * @author xda
     * @date 2022/5/7 16:01
     */
    public static List<Integer> getCountList (Map<String, Integer> countMap) {
        List<Integer> list = new ArrayList<Integer>(){{
            add(0);
            add(0);
            add(0);
            add(0);
        }};
        if (MapUtil.isEmpty(countMap)) {
            return list;
        }
        list.set(0, countMap.getOrDefault(RemindEnum.风险预警.getCode(), 0));
        list.set(1, countMap.getOrDefault(RemindEnum.财产线索.getCode(), 0));
        list.set(2, countMap.getOrDefault(RemindEnum.账款评级.getCode(), 0));
        list.set(3, countMap.getOrDefault(RemindEnum.逾期提醒.getCode(), 0));
        return list;
    }


}
