package com.winhc.repal.util;

import com.winhc.repal.enums.RepalBillStatusEnum;

import java.time.LocalDate;
import java.util.Objects;

/**
 * @Description: RepalBillStatusUtil
 * @Author: xda
 * @Date: 2022/4/15 14:09
 */
public class RepalBillStatusUtil {


    /**
     * 账款状态
     * @param endDate endDate
     * @return java.lang.Integer
     * @author xda
     * @date 2022/4/15 14:11
     */
    public static Integer getRepalBillStatus(LocalDate endDate) {
        if (Objects.isNull(endDate)) {
            return RepalBillStatusEnum.PROGRESSING.getCode();
        }
        if (LocalDate.now().compareTo(endDate) ==0 || LocalDate.now().isAfter(endDate)) {
            return RepalBillStatusEnum.OVERDUE.getCode();
        }
        return RepalBillStatusEnum.PROGRESSING.getCode();
    }

}
